Package: org.apache.groovy.json.internal

## [Java] Class MapItemValue

- org.apache.groovy.json.internal.MapItemValue

- All Implemented Interfaces and Traits:
    MapEntry

      public class MapItemValue
      extends Object
      implements MapEntry

  This holds a mapping from value key to value value to maximize laziness.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static ConcurrentHashMap<String, String>` | `internedKeysCache` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MapItemValue(Value name, Value value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getKey()`
    `` | `public Value` | `getValue()`
    `` | `public Value` | `setValue(Value value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected static final ConcurrentHashMap<String, String> internedKeysCache

  - ### Constructor Detail

    - #### public MapItemValue(Value name, Value value)

  - ### Method Detail

    - #### @Override
      public String getKey()

    - #### @Override
      public Value getValue()

    - #### @Override
      public Value setValue(Value value)